%global momorel 5

Summary: Italian man (manual) pages from the Linux Documentation Project
Name: man-pages-it
Version: 0.3.0
Release: %{momorel}m%{?dist}
License: see "LDP.licenza"
Group: Documentation
Source: ftp://ftp.win.tue.nl/pub/home/aeb/linux-local/manpages/tr/man-pages-it-%{version}.tar.gz
Patch0: man-pages-it-0.3.0-rofffix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
NoSource: 0

%description
Manual pages from the Linux Documentation Project, translated into Italian.

%prep
%setup -q
%patch0 -p1

%build

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_mandir}/it
for n in 1 2 3 4 5 6 7 8 9 n; do
	mkdir %{buildroot}%{_mandir}/it/man$n
done

for i in man*/*; do
	iconv -f ISO-8859-1 -t UTF-8 < $i > $i.new
	mv -f $i.new $i
done

mv LICENZE/* .

LC_ALL=it_IT make prefix=%{buildroot}%{_prefix} \
    mandir=%{buildroot}/%{_mandir}/it  install

# remove unpackaged files from the buildroot
rm -rf %{buildroot}%{_prefix}/X11R6

rm -f %{buildroot}%{_mandir}/it/man1/newgrp.1*
rm -f %{buildroot}%{_mandir}/it/man1/{apropos.1,man.1,whatis.1}*
rm -f %{buildroot}%{_mandir}/it/man1/vim.1*
rm -f %{buildroot}%{_mandir}/it/man5/man.config.5*
rm -f %{buildroot}%{_mandir}/it/man8/makewhatis.8*


%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc CONTRIB INSTALL INSTALL.eng  NEW README README.eng README.translator TODO LDP.licenza
%{_mandir}/it/*/*


%changelog
* Fri Jun 15 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.0-5m)
- sync FC

* Wed Jun  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-4m)
- modify %%install to avoid conflicting with shadow-utils

* Mon Jun  5 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.0-3m)
- remove vim.1

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.0-2m)
- revised spec for enabling rpm 4.2.

* Tue Nov 11 2003 zunda <zunda at freeshell.org>
- (0.3.0-1m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Sep 20 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Sun Jun 11 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_mandir} and %%{_tmppath} 

* Mon May 15 2000 Trond Eivind Glomsr?<teg@redhat.com>
- first build
